org.apache.poi.hwpf.model.types

## Class CHPAbstractType

- java.lang.Object
- - org.apache.poi.hwpf.model.types.CHPAbstractType

- Direct Known Subclasses:
    CharacterProperties

      @Internal
      public abstract class CHPAbstractType
      extends java.lang.Object

  Character Properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `field_1_grpfChp`
    `protected int` | `field_10_pctCharWidth`
    `protected int` | `field_11_lidDefault`
    `protected int` | `field_12_lidFE`
    `protected byte` | `field_13_kcd`
    `protected boolean` | `field_14_fUndetermine`
    `protected byte` | `field_15_iss`
    `protected boolean` | `field_16_fSpecSymbol`
    `protected byte` | `field_17_idct`
    `protected byte` | `field_18_idctHint`
    `protected byte` | `field_19_kul`
    `protected int` | `field_2_hps`
    `protected Hyphenation` | `field_20_hresi`
    `protected int` | `field_21_hpsKern`
    `protected short` | `field_22_hpsPos`
    `protected ShadingDescriptor` | `field_23_shd`
    `protected BorderCode` | `field_24_brc`
    `protected int` | `field_25_ibstRMark`
    `protected byte` | `field_26_sfxtText`
    `protected boolean` | `field_27_fDblBdr`
    `protected boolean` | `field_28_fBorderWS`
    `protected short` | `field_29_ufel`
    `protected int` | `field_3_ftcAscii`
    `protected byte` | `field_30_copt`
    `protected int` | `field_31_hpsAsci`
    `protected int` | `field_32_hpsFE`
    `protected int` | `field_33_hpsBi`
    `protected int` | `field_34_ftcSym`
    `protected int` | `field_35_xchSym`
    `protected int` | `field_36_fcPic`
    `protected int` | `field_37_fcObj`
    `protected int` | `field_38_lTagObj`
    `protected int` | `field_39_fcData`
    `protected int` | `field_4_ftcFE`
    `protected Hyphenation` | `field_40_hresiOld`
    `protected int` | `field_41_ibstRMarkDel`
    `protected DateAndTime` | `field_42_dttmRMark`
    `protected DateAndTime` | `field_43_dttmRMarkDel`
    `protected int` | `field_44_istd`
    `protected int` | `field_45_idslRMReason`
    `protected int` | `field_46_idslReasonDel`
    `protected int` | `field_47_cpg`
    `protected short` | `field_48_Highlight`
    `protected short` | `field_49_CharsetFlags`
    `protected int` | `field_5_ftcOther`
    `protected short` | `field_50_chse`
    `protected boolean` | `field_51_fPropRMark`
    `protected int` | `field_52_ibstPropRMark`
    `protected DateAndTime` | `field_53_dttmPropRMark`
    `protected boolean` | `field_54_fConflictOrig`
    `protected boolean` | `field_55_fConflictOtherDel`
    `protected int` | `field_56_wConflict`
    `protected int` | `field_57_IbstConflict`
    `protected DateAndTime` | `field_58_dttmConflict`
    `protected boolean` | `field_59_fDispFldRMark`
    `protected int` | `field_6_ftcBi`
    `protected int` | `field_60_ibstDispFldRMark`
    `protected DateAndTime` | `field_61_dttmDispFldRMark`
    `protected byte[]` | `field_62_xstDispFldRMark`
    `protected int` | `field_63_fcObjp`
    `protected byte` | `field_64_lbrCRJ`
    `protected boolean` | `field_65_fSpecVanish`
    `protected boolean` | `field_66_fHasOldProps`
    `protected boolean` | `field_67_fSdtVanish`
    `protected int` | `field_68_wCharScale`
    `protected int` | `field_7_dxaSpace`
    `protected Colorref` | `field_8_cv`
    `protected byte` | `field_9_ico`
    `protected static byte` | `ISS_NONE`
    `protected static byte` | `ISS_SUBSCRIPTED`
    `protected static byte` | `ISS_SUPERSCRIPTED`
    `protected static byte` | `KCD_CIRCLE`
    `protected static byte` | `KCD_COMMA`
    `protected static byte` | `KCD_DOT`
    `protected static byte` | `KCD_NON`
    `protected static byte` | `KCD_UNDER_DOT`
    `protected static byte` | `KUL_BY_WORD`
    `protected static byte` | `KUL_DASH`
    `protected static byte` | `KUL_DASH_LONG`
    `protected static byte` | `KUL_DASH_LONG_HEAVY`
    `protected static byte` | `KUL_DASHED_HEAVY`
    `protected static byte` | `KUL_DOT`
    `protected static byte` | `KUL_DOT_DASH`
    `protected static byte` | `KUL_DOT_DASH_HEAVY`
    `protected static byte` | `KUL_DOT_DOT_DASH`
    `protected static byte` | `KUL_DOT_DOT_DASH_HEAVY`
    `protected static byte` | `KUL_DOTTED`
    `protected static byte` | `KUL_DOTTED_HEAVY`
    `protected static byte` | `KUL_DOUBLE`
    `protected static byte` | `KUL_HIDDEN`
    `protected static byte` | `KUL_NONE`
    `protected static byte` | `KUL_SINGLE`
    `protected static byte` | `KUL_THICK`
    `protected static byte` | `KUL_WAVE`
    `protected static byte` | `KUL_WAVE_DOUBLE`
    `protected static byte` | `KUL_WAVE_HEAVY`
    `protected static byte` | `LBRCRJ_BOTH`
    `protected static byte` | `LBRCRJ_LEFT`
    `protected static byte` | `LBRCRJ_NONE`
    `protected static byte` | `LBRCRJ_RIGHT`
    `protected static byte` | `SFXTTEXT_BACKGROUND_BLINK`
    `protected static byte` | `SFXTTEXT_LAS_VEGAS_LIGHTS`
    `protected static byte` | `SFXTTEXT_MARCHING_ANTS`
    `protected static byte` | `SFXTTEXT_MARCHING_RED_ANTS`
    `protected static byte` | `SFXTTEXT_NO`
    `protected static byte` | `SFXTTEXT_SHIMMER`
    `protected static byte` | `SFXTTEXT_SPARKLE_TEXT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CHPAbstractType()`
    `protected` | `CHPAbstractType(CHPAbstractType other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `BorderCode` | `getBrc()` Border.
    `short` | `getCharsetFlags()` Get the CharsetFlags field for the CHP record.
    `short` | `getChse()` Get the chse field for the CHP record.
    `byte` | `getCopt()` Collection of the 5 flags.
    `int` | `getCpg()` Code page of run in pre-Unicode files.
    `Colorref` | `getCv()` 24-bit color.
    `DateAndTime` | `getDttmConflict()` When the change was made.
    `DateAndTime` | `getDttmDispFldRMark()` The date for the ListNum field number change.
    `DateAndTime` | `getDttmPropRMark()` Date/time at which properties of this were changed for this run of text by the author.
    `DateAndTime` | `getDttmRMark()` Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).
    `DateAndTime` | `getDttmRMarkDel()` Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).
    `int` | `getDxaSpace()` Space following each character in the run expressed in twip units..
    `boolean` | `getFBorderWS()` Used internally by Word.
    `int` | `getFcData()` Points to location of picture data, only if chp.fSpec is true..
    `int` | `getFcObj()` Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..
    `int` | `getFcObjp()` Offset in the data stream indicating the location of OLE object data.
    `boolean` | `getFConflictOrig()` When chp.wConflict!=0, this is TRUE when text is part of the original version of text.
    `boolean` | `getFConflictOtherDel()` When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.
    `int` | `getFcPic()` Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..
    `boolean` | `getFDblBdr()` Used internally by Word.
    `boolean` | `getFDispFldRMark()` the number for a ListNum field is being tracked in xstDispFldRMark.
    `boolean` | `getFHasOldProps()` Used for character property revision marking.
    `boolean` | `getFPropRMark()` properties have been changed with revision marking on.
    `boolean` | `getFSdtVanish()` Mark the character as hidden..
    `boolean` | `getFSpecSymbol()` Used by Word internally.
    `boolean` | `getFSpecVanish()` Special hidden for leading emphasis (always hidden).
    `int` | `getFtcAscii()` Font for ASCII text.
    `int` | `getFtcBi()` Font for Complex Scripts text.
    `int` | `getFtcFE()` Font for East Asian text.
    `int` | `getFtcOther()` Font for non-East Asian text.
    `int` | `getFtcSym()` an index into the rgffn structure.
    `boolean` | `getFUndetermine()` Character is undetermined.
    `int` | `getGrpfChp()` Collection of the 32 flags.
    `short` | `getHighlight()` Get the Highlight field for the CHP record.
    `int` | `getHps()` Font size in half points.
    `int` | `getHpsAsci()` Font size for ASCII font.
    `int` | `getHpsBi()` Font size for Complex Scripts text.
    `int` | `getHpsFE()` Font size for East Asian text.
    `int` | `getHpsKern()` Kerning distance for characters in run recorded in half points.
    `short` | `getHpsPos()` Reserved (actually used as vertical offset(?) value).
    `Hyphenation` | `getHresi()` Get the hresi field for the CHP record.
    `Hyphenation` | `getHresiOld()` Get the hresiOld field for the CHP record.
    `int` | `getIbstConflict()` Who made this change for this side of the conflict..
    `int` | `getIbstDispFldRMark()` Index to author IDs stored in hsttbfRMark.
    `int` | `getIbstPropRMark()` Index to author IDs stored in hsttbfRMark.
    `int` | `getIbstRMark()` Index to author IDs stored in hsttbfRMark.
    `int` | `getIbstRMarkDel()` Index to author IDs stored in hsttbfRMark.
    `byte` | `getIco()` Color of text for Word 97.
    `byte` | `getIcoHighlight()` Highlight color (see chp.ico)
    `byte` | `getIdct()` Not stored in file.
    `byte` | `getIdctHint()` Identifier of Character type.
    `int` | `getIdslReasonDel()` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
    `int` | `getIdslRMReason()` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
    `byte` | `getIss()` Superscript/subscript indices.
    `int` | `getIstd()` Index to character style descriptor in the stylesheet that tags this run of text.
    `short` | `getItypFELayout()`
    `byte` | `getIWarichuBracket()` Bracket character for two-lines-in-one
    `byte` | `getKcd()` Emphasis mark.
    `byte` | `getKul()` Underline code.
    `byte` | `getLbrCRJ()` Line BReak code for xchCRJ.
    `int` | `getLidDefault()` Get the lidDefault field for the CHP record.
    `int` | `getLidFE()` Get the lidFE field for the CHP record.
    `int` | `getLTagObj()` An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..
    `int` | `getPctCharWidth()` Character scale.
    `byte` | `getSfxtText()` Text animation.
    `ShadingDescriptor` | `getShd()` Shading.
    `byte` | `getSpare()` Unused
    `short` | `getUfel()` Collection properties represented by itypFELayout and copt (East Asian layout properties).
    `int` | `getWCharScale()` Get the wCharScale field for the CHP record.
    `int` | `getWConflict()` When != 0, index number that identifies all text participating in a particular conflict incident.
    `int` | `getXchSym()` When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..
    `byte[]` | `getXstDispFldRMark()` The string value of the ListNum field when revision mark tracking began.
    `int` | `hashCode()`
    `boolean` | `isFBiDi()` Complex Scripts right-to-left text that requires special processing to display and process (character reordering; contextual shaping; display of combining characters and diacritics; specialized justification rules; cursor positioning)
    `boolean` | `isFBold()` Text is bold
    `boolean` | `isFBoldBi()` Complex Scripts text is bold
    `boolean` | `isFBoldOther()` Used internally by Word 97 and earlier versions
    `boolean` | `isFCalc()` Used internally by Word
    `boolean` | `isFCaps()` Displayed with caps
    `boolean` | `isFCellFitText()` Fit text in cell
    `boolean` | `isFChsDiff()` Pre-Unicode files, char's char set different from FIB char set
    `boolean` | `isFComplexScripts()` Complex Scripts text that requires special processing to display and process
    `boolean` | `isFData()` chp.fcPic points to an FFDATA, the data structure binary data used by Word to describe a form field.
    `boolean` | `isFDStrike()` Displayed with double strikethrough
    `boolean` | `isFEmboss()` Text is embossed
    `boolean` | `isFFitText()` Fit text when set to 1
    `boolean` | `isFFldVanish()` Used internally by Word
    `boolean` | `isFFmtLineProp()` Used internally by Word
    `boolean` | `isFHighlight()` When 1, characters are highlighted with color specified by chp.icoHighlight
    `boolean` | `isFIcoBi()` Used internally by Word
    `boolean` | `isFImprint()` Text is engraved
    `boolean` | `isFItalic()` Italic
    `boolean` | `isFItalicBi()` Complex Scripts text is italics
    `boolean` | `isFItalicOther()` Used internally by Word 97 and earlier versions
    `boolean` | `isFKumimoji()` combine characters
    `boolean` | `isFLowerCase()` Character is displayed in lower case.
    `boolean` | `isFLSFitText()` fit text
    `boolean` | `isFMacChs()` fTrue if char's are Macintosh char set
    `boolean` | `isFNonGlyph()` Used internally by Word
    `boolean` | `isFNoProof()` When set to 1, do not check spelling or grammar
    `boolean` | `isFObj()` Embedded objec
    `boolean` | `isFOle2()` chp.lTagObj specifies a particular object in the object stream that specifies the particular OLE object in the stream that should be displayed when the chPicture fSpec character that is tagged with the fOle2 is encountered.
    `boolean` | `isFOutline()` Outlined
    `boolean` | `isFRMark()` text is newly typed since the last time revision marks have been accepted and will be displayed with an underline when revision marked text is to be displayed
    `boolean` | `isFRMarkDel()` has been deleted and will be displayed with strikethrough when revision marked text is to be displayed
    `boolean` | `isFRuby()` Phonetic guide
    `boolean` | `isFShadow()` Character is drawn with a shadow
    `boolean` | `isFSmallCaps()` Displayed with small caps
    `boolean` | `isFSpec()` Character is a Word special character
    `boolean` | `isFStrike()` Displayed with strikethrough
    `boolean` | `isFTNY()` Tatenakayoko: Horizontal-in-vertical (range of text in a direction perpendicular to the text flow) is used
    `boolean` | `isFTNYCompress()` fit text in line
    `boolean` | `isFTNYFetchTxm()` fetch text metrics
    `boolean` | `isFUsePgsuSettings()` Used internally by Word
    `boolean` | `isFVanish()` text has hidden format, and is not displayed unless fPagHidden is set in the DOP
    `boolean` | `isFWarichu()` Two lines in one (text in the group is displayed as two half-height lines within a line)
    `boolean` | `isFWarichuNoOpenBracket()` Two-lines-in-one uses no open
    `boolean` | `isFWebHidden()` Text should be hidden in Web View when set to 1
    `boolean` | `isUnused()` Not used
    `void` | `setBrc(BorderCode field_24_brc)` Border.
    `void` | `setCharsetFlags(short field_49_CharsetFlags)` Set the CharsetFlags field for the CHP record.
    `void` | `setChse(short field_50_chse)` Set the chse field for the CHP record.
    `void` | `setCopt(byte field_30_copt)` Collection of the 5 flags.
    `void` | `setCpg(int field_47_cpg)` Code page of run in pre-Unicode files.
    `void` | `setCv(Colorref field_8_cv)` 24-bit color.
    `void` | `setDttmConflict(DateAndTime field_58_dttmConflict)` When the change was made.
    `void` | `setDttmDispFldRMark(DateAndTime field_61_dttmDispFldRMark)` The date for the ListNum field number change.
    `void` | `setDttmPropRMark(DateAndTime field_53_dttmPropRMark)` Date/time at which properties of this were changed for this run of text by the author.
    `void` | `setDttmRMark(DateAndTime field_42_dttmRMark)` Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).
    `void` | `setDttmRMarkDel(DateAndTime field_43_dttmRMarkDel)` Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).
    `void` | `setDxaSpace(int field_7_dxaSpace)` Space following each character in the run expressed in twip units..
    `void` | `setFBiDi(boolean value)` Sets the fBiDi field value.
    `void` | `setFBold(boolean value)` Sets the fBold field value.
    `void` | `setFBoldBi(boolean value)` Sets the fBoldBi field value.
    `void` | `setFBoldOther(boolean value)` Sets the fBoldOther field value.
    `void` | `setFBorderWS(boolean field_28_fBorderWS)` Used internally by Word.
    `void` | `setFCalc(boolean value)` Sets the fCalc field value.
    `void` | `setFCaps(boolean value)` Sets the fCaps field value.
    `void` | `setFcData(int field_39_fcData)` Points to location of picture data, only if chp.fSpec is true..
    `void` | `setFCellFitText(boolean value)` Sets the fCellFitText field value.
    `void` | `setFChsDiff(boolean value)` Sets the fChsDiff field value.
    `void` | `setFcObj(int field_37_fcObj)` Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..
    `void` | `setFcObjp(int field_63_fcObjp)` Offset in the data stream indicating the location of OLE object data.
    `void` | `setFComplexScripts(boolean value)` Sets the fComplexScripts field value.
    `void` | `setFConflictOrig(boolean field_54_fConflictOrig)` When chp.wConflict!=0, this is TRUE when text is part of the original version of text.
    `void` | `setFConflictOtherDel(boolean field_55_fConflictOtherDel)` When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.
    `void` | `setFcPic(int field_36_fcPic)` Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..
    `void` | `setFData(boolean value)` Sets the fData field value.
    `void` | `setFDblBdr(boolean field_27_fDblBdr)` Used internally by Word.
    `void` | `setFDispFldRMark(boolean field_59_fDispFldRMark)` the number for a ListNum field is being tracked in xstDispFldRMark.
    `void` | `setFDStrike(boolean value)` Sets the fDStrike field value.
    `void` | `setFEmboss(boolean value)` Sets the fEmboss field value.
    `void` | `setFFitText(boolean value)` Sets the fFitText field value.
    `void` | `setFFldVanish(boolean value)` Sets the fFldVanish field value.
    `void` | `setFFmtLineProp(boolean value)` Sets the fFmtLineProp field value.
    `void` | `setFHasOldProps(boolean field_66_fHasOldProps)` Used for character property revision marking.
    `void` | `setFHighlight(boolean value)` Sets the fHighlight field value.
    `void` | `setFIcoBi(boolean value)` Sets the fIcoBi field value.
    `void` | `setFImprint(boolean value)` Sets the fImprint field value.
    `void` | `setFItalic(boolean value)` Sets the fItalic field value.
    `void` | `setFItalicBi(boolean value)` Sets the fItalicBi field value.
    `void` | `setFItalicOther(boolean value)` Sets the fItalicOther field value.
    `void` | `setFKumimoji(boolean value)` Sets the fKumimoji field value.
    `void` | `setFLowerCase(boolean value)` Sets the fLowerCase field value.
    `void` | `setFLSFitText(boolean value)` Sets the fLSFitText field value.
    `void` | `setFMacChs(boolean value)` Sets the fMacChs field value.
    `void` | `setFNonGlyph(boolean value)` Sets the fNonGlyph field value.
    `void` | `setFNoProof(boolean value)` Sets the fNoProof field value.
    `void` | `setFObj(boolean value)` Sets the fObj field value.
    `void` | `setFOle2(boolean value)` Sets the fOle2 field value.
    `void` | `setFOutline(boolean value)` Sets the fOutline field value.
    `void` | `setFPropRMark(boolean field_51_fPropRMark)` properties have been changed with revision marking on.
    `void` | `setFRMark(boolean value)` Sets the fRMark field value.
    `void` | `setFRMarkDel(boolean value)` Sets the fRMarkDel field value.
    `void` | `setFRuby(boolean value)` Sets the fRuby field value.
    `void` | `setFSdtVanish(boolean field_67_fSdtVanish)` Mark the character as hidden..
    `void` | `setFShadow(boolean value)` Sets the fShadow field value.
    `void` | `setFSmallCaps(boolean value)` Sets the fSmallCaps field value.
    `void` | `setFSpec(boolean value)` Sets the fSpec field value.
    `void` | `setFSpecSymbol(boolean field_16_fSpecSymbol)` Used by Word internally.
    `void` | `setFSpecVanish(boolean field_65_fSpecVanish)` Special hidden for leading emphasis (always hidden).
    `void` | `setFStrike(boolean value)` Sets the fStrike field value.
    `void` | `setFtcAscii(int field_3_ftcAscii)` Font for ASCII text.
    `void` | `setFtcBi(int field_6_ftcBi)` Font for Complex Scripts text.
    `void` | `setFtcFE(int field_4_ftcFE)` Font for East Asian text.
    `void` | `setFtcOther(int field_5_ftcOther)` Font for non-East Asian text.
    `void` | `setFtcSym(int field_34_ftcSym)` an index into the rgffn structure.
    `void` | `setFTNY(boolean value)` Sets the fTNY field value.
    `void` | `setFTNYCompress(boolean value)` Sets the fTNYCompress field value.
    `void` | `setFTNYFetchTxm(boolean value)` Sets the fTNYFetchTxm field value.
    `void` | `setFUndetermine(boolean field_14_fUndetermine)` Character is undetermined.
    `void` | `setFUsePgsuSettings(boolean value)` Sets the fUsePgsuSettings field value.
    `void` | `setFVanish(boolean value)` Sets the fVanish field value.
    `void` | `setFWarichu(boolean value)` Sets the fWarichu field value.
    `void` | `setFWarichuNoOpenBracket(boolean value)` Sets the fWarichuNoOpenBracket field value.
    `void` | `setFWebHidden(boolean value)` Sets the fWebHidden field value.
    `void` | `setGrpfChp(int field_1_grpfChp)` Collection of the 32 flags.
    `void` | `setHighlight(short field_48_Highlight)` Set the Highlight field for the CHP record.
    `void` | `setHps(int field_2_hps)` Font size in half points.
    `void` | `setHpsAsci(int field_31_hpsAsci)` Font size for ASCII font.
    `void` | `setHpsBi(int field_33_hpsBi)` Font size for Complex Scripts text.
    `void` | `setHpsFE(int field_32_hpsFE)` Font size for East Asian text.
    `void` | `setHpsKern(int field_21_hpsKern)` Kerning distance for characters in run recorded in half points.
    `void` | `setHpsPos(short field_22_hpsPos)` Reserved (actually used as vertical offset(?) value).
    `void` | `setHresi(Hyphenation field_20_hresi)` Set the hresi field for the CHP record.
    `void` | `setHresiOld(Hyphenation field_40_hresiOld)` Set the hresiOld field for the CHP record.
    `void` | `setIbstConflict(int field_57_IbstConflict)` Who made this change for this side of the conflict..
    `void` | `setIbstDispFldRMark(int field_60_ibstDispFldRMark)` Index to author IDs stored in hsttbfRMark.
    `void` | `setIbstPropRMark(int field_52_ibstPropRMark)` Index to author IDs stored in hsttbfRMark.
    `void` | `setIbstRMark(int field_25_ibstRMark)` Index to author IDs stored in hsttbfRMark.
    `void` | `setIbstRMarkDel(int field_41_ibstRMarkDel)` Index to author IDs stored in hsttbfRMark.
    `void` | `setIco(byte field_9_ico)` Color of text for Word 97.
    `void` | `setIcoHighlight(byte value)` Sets the icoHighlight field value.
    `void` | `setIdct(byte field_17_idct)` Not stored in file.
    `void` | `setIdctHint(byte field_18_idctHint)` Identifier of Character type.
    `void` | `setIdslReasonDel(int field_46_idslReasonDel)` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
    `void` | `setIdslRMReason(int field_45_idslRMReason)` An index to strings displayed as reasons for actions taken by Word's AutoFormat code.
    `void` | `setIss(byte field_15_iss)` Superscript/subscript indices.
    `void` | `setIstd(int field_44_istd)` Index to character style descriptor in the stylesheet that tags this run of text.
    `void` | `setItypFELayout(short value)` Sets the itypFELayout field value.
    `void` | `setIWarichuBracket(byte value)` Sets the iWarichuBracket field value.
    `void` | `setKcd(byte field_13_kcd)` Emphasis mark.
    `void` | `setKul(byte field_19_kul)` Underline code.
    `void` | `setLbrCRJ(byte field_64_lbrCRJ)` Line BReak code for xchCRJ.
    `void` | `setLidDefault(int field_11_lidDefault)` Set the lidDefault field for the CHP record.
    `void` | `setLidFE(int field_12_lidFE)` Set the lidFE field for the CHP record.
    `void` | `setLTagObj(int field_38_lTagObj)` An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..
    `void` | `setPctCharWidth(int field_10_pctCharWidth)` Character scale.
    `void` | `setSfxtText(byte field_26_sfxtText)` Text animation.
    `void` | `setShd(ShadingDescriptor field_23_shd)` Shading.
    `void` | `setSpare(byte value)` Sets the spare field value.
    `void` | `setUfel(short field_29_ufel)` Collection properties represented by itypFELayout and copt (East Asian layout properties).
    `void` | `setUnused(boolean value)` Sets the unused field value.
    `void` | `setWCharScale(int field_68_wCharScale)` Set the wCharScale field for the CHP record.
    `void` | `setWConflict(int field_56_wConflict)` When != 0, index number that identifies all text participating in a particular conflict incident.
    `void` | `setXchSym(int field_35_xchSym)` When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..
    `void` | `setXstDispFldRMark(byte[] field_62_xstDispFldRMark)` The string value of the ListNum field when revision mark tracking began.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SFXTTEXT_NO

          protected static final byte SFXTTEXT_NO

      See Also:
        Constant Field Values

    - #### SFXTTEXT_LAS_VEGAS_LIGHTS

          protected static final byte SFXTTEXT_LAS_VEGAS_LIGHTS

      See Also:
        Constant Field Values

    - #### SFXTTEXT_BACKGROUND_BLINK

          protected static final byte SFXTTEXT_BACKGROUND_BLINK

      See Also:
        Constant Field Values

    - #### SFXTTEXT_SPARKLE_TEXT

          protected static final byte SFXTTEXT_SPARKLE_TEXT

      See Also:
        Constant Field Values

    - #### SFXTTEXT_MARCHING_ANTS

          protected static final byte SFXTTEXT_MARCHING_ANTS

      See Also:
        Constant Field Values

    - #### SFXTTEXT_MARCHING_RED_ANTS

          protected static final byte SFXTTEXT_MARCHING_RED_ANTS

      See Also:
        Constant Field Values

    - #### SFXTTEXT_SHIMMER

          protected static final byte SFXTTEXT_SHIMMER

      See Also:
        Constant Field Values

    - #### KCD_NON

          protected static final byte KCD_NON

      See Also:
        Constant Field Values

    - #### KCD_DOT

          protected static final byte KCD_DOT

      See Also:
        Constant Field Values

    - #### KCD_COMMA

          protected static final byte KCD_COMMA

      See Also:
        Constant Field Values

    - #### KCD_CIRCLE

          protected static final byte KCD_CIRCLE

      See Also:
        Constant Field Values

    - #### KCD_UNDER_DOT

          protected static final byte KCD_UNDER_DOT

      See Also:
        Constant Field Values

    - #### KUL_NONE

          protected static final byte KUL_NONE

      See Also:
        Constant Field Values

    - #### KUL_SINGLE

          protected static final byte KUL_SINGLE

      See Also:
        Constant Field Values

    - #### KUL_BY_WORD

          protected static final byte KUL_BY_WORD

      See Also:
        Constant Field Values

    - #### KUL_DOUBLE

          protected static final byte KUL_DOUBLE

      See Also:
        Constant Field Values

    - #### KUL_DOTTED

          protected static final byte KUL_DOTTED

      See Also:
        Constant Field Values

    - #### KUL_HIDDEN

          protected static final byte KUL_HIDDEN

      See Also:
        Constant Field Values

    - #### KUL_THICK

          protected static final byte KUL_THICK

      See Also:
        Constant Field Values

    - #### KUL_DASH

          protected static final byte KUL_DASH

      See Also:
        Constant Field Values

    - #### KUL_DOT

          protected static final byte KUL_DOT

      See Also:
        Constant Field Values

    - #### KUL_DOT_DASH

          protected static final byte KUL_DOT_DASH

      See Also:
        Constant Field Values

    - #### KUL_DOT_DOT_DASH

          protected static final byte KUL_DOT_DOT_DASH

      See Also:
        Constant Field Values

    - #### KUL_WAVE

          protected static final byte KUL_WAVE

      See Also:
        Constant Field Values

    - #### KUL_DOTTED_HEAVY

          protected static final byte KUL_DOTTED_HEAVY

      See Also:
        Constant Field Values

    - #### KUL_DASHED_HEAVY

          protected static final byte KUL_DASHED_HEAVY

      See Also:
        Constant Field Values

    - #### KUL_DOT_DASH_HEAVY

          protected static final byte KUL_DOT_DASH_HEAVY

      See Also:
        Constant Field Values

    - #### KUL_DOT_DOT_DASH_HEAVY

          protected static final byte KUL_DOT_DOT_DASH_HEAVY

      See Also:
        Constant Field Values

    - #### KUL_WAVE_HEAVY

          protected static final byte KUL_WAVE_HEAVY

      See Also:
        Constant Field Values

    - #### KUL_DASH_LONG

          protected static final byte KUL_DASH_LONG

      See Also:
        Constant Field Values

    - #### KUL_WAVE_DOUBLE

          protected static final byte KUL_WAVE_DOUBLE

      See Also:
        Constant Field Values

    - #### KUL_DASH_LONG_HEAVY

          protected static final byte KUL_DASH_LONG_HEAVY

      See Also:
        Constant Field Values

    - #### ISS_NONE

          protected static final byte ISS_NONE

      See Also:
        Constant Field Values

    - #### ISS_SUPERSCRIPTED

          protected static final byte ISS_SUPERSCRIPTED

      See Also:
        Constant Field Values

    - #### ISS_SUBSCRIPTED

          protected static final byte ISS_SUBSCRIPTED

      See Also:
        Constant Field Values

    - #### LBRCRJ_NONE

          protected static final byte LBRCRJ_NONE

      See Also:
        Constant Field Values

    - #### LBRCRJ_LEFT

          protected static final byte LBRCRJ_LEFT

      See Also:
        Constant Field Values

    - #### LBRCRJ_RIGHT

          protected static final byte LBRCRJ_RIGHT

      See Also:
        Constant Field Values

    - #### LBRCRJ_BOTH

          protected static final byte LBRCRJ_BOTH

      See Also:
        Constant Field Values

    - #### field_1_grpfChp

          protected int field_1_grpfChp

    - #### field_2_hps

          protected int field_2_hps

    - #### field_3_ftcAscii

          protected int field_3_ftcAscii

    - #### field_4_ftcFE

          protected int field_4_ftcFE

    - #### field_5_ftcOther

          protected int field_5_ftcOther

    - #### field_6_ftcBi

          protected int field_6_ftcBi

    - #### field_7_dxaSpace

          protected int field_7_dxaSpace

    - #### field_8_cv

          protected Colorref field_8_cv

    - #### field_9_ico

          protected byte field_9_ico

    - #### field_10_pctCharWidth

          protected int field_10_pctCharWidth

    - #### field_11_lidDefault

          protected int field_11_lidDefault

    - #### field_12_lidFE

          protected int field_12_lidFE

    - #### field_13_kcd

          protected byte field_13_kcd

    - #### field_14_fUndetermine

          protected boolean field_14_fUndetermine

    - #### field_15_iss

          protected byte field_15_iss

    - #### field_16_fSpecSymbol

          protected boolean field_16_fSpecSymbol

    - #### field_17_idct

          protected byte field_17_idct

    - #### field_18_idctHint

          protected byte field_18_idctHint

    - #### field_19_kul

          protected byte field_19_kul

    - #### field_20_hresi

          protected Hyphenation field_20_hresi

    - #### field_21_hpsKern

          protected int field_21_hpsKern

    - #### field_22_hpsPos

          protected short field_22_hpsPos

    - #### field_23_shd

          protected ShadingDescriptor field_23_shd

    - #### field_24_brc

          protected BorderCode field_24_brc

    - #### field_25_ibstRMark

          protected int field_25_ibstRMark

    - #### field_26_sfxtText

          protected byte field_26_sfxtText

    - #### field_27_fDblBdr

          protected boolean field_27_fDblBdr

    - #### field_28_fBorderWS

          protected boolean field_28_fBorderWS

    - #### field_29_ufel

          protected short field_29_ufel

    - #### field_30_copt

          protected byte field_30_copt

    - #### field_31_hpsAsci

          protected int field_31_hpsAsci

    - #### field_32_hpsFE

          protected int field_32_hpsFE

    - #### field_33_hpsBi

          protected int field_33_hpsBi

    - #### field_34_ftcSym

          protected int field_34_ftcSym

    - #### field_35_xchSym

          protected int field_35_xchSym

    - #### field_36_fcPic

          protected int field_36_fcPic

    - #### field_37_fcObj

          protected int field_37_fcObj

    - #### field_38_lTagObj

          protected int field_38_lTagObj

    - #### field_39_fcData

          protected int field_39_fcData

    - #### field_40_hresiOld

          protected Hyphenation field_40_hresiOld

    - #### field_41_ibstRMarkDel

          protected int field_41_ibstRMarkDel

    - #### field_42_dttmRMark

          protected DateAndTime field_42_dttmRMark

    - #### field_43_dttmRMarkDel

          protected DateAndTime field_43_dttmRMarkDel

    - #### field_44_istd

          protected int field_44_istd

    - #### field_45_idslRMReason

          protected int field_45_idslRMReason

    - #### field_46_idslReasonDel

          protected int field_46_idslReasonDel

    - #### field_47_cpg

          protected int field_47_cpg

    - #### field_48_Highlight

          protected short field_48_Highlight

    - #### field_49_CharsetFlags

          protected short field_49_CharsetFlags

    - #### field_50_chse

          protected short field_50_chse

    - #### field_51_fPropRMark

          protected boolean field_51_fPropRMark

    - #### field_52_ibstPropRMark

          protected int field_52_ibstPropRMark

    - #### field_53_dttmPropRMark

          protected DateAndTime field_53_dttmPropRMark

    - #### field_54_fConflictOrig

          protected boolean field_54_fConflictOrig

    - #### field_55_fConflictOtherDel

          protected boolean field_55_fConflictOtherDel

    - #### field_56_wConflict

          protected int field_56_wConflict

    - #### field_57_IbstConflict

          protected int field_57_IbstConflict

    - #### field_58_dttmConflict

          protected DateAndTime field_58_dttmConflict

    - #### field_59_fDispFldRMark

          protected boolean field_59_fDispFldRMark

    - #### field_60_ibstDispFldRMark

          protected int field_60_ibstDispFldRMark

    - #### field_61_dttmDispFldRMark

          protected DateAndTime field_61_dttmDispFldRMark

    - #### field_62_xstDispFldRMark

          protected byte[] field_62_xstDispFldRMark

    - #### field_63_fcObjp

          protected int field_63_fcObjp

    - #### field_64_lbrCRJ

          protected byte field_64_lbrCRJ

    - #### field_65_fSpecVanish

          protected boolean field_65_fSpecVanish

    - #### field_66_fHasOldProps

          protected boolean field_66_fHasOldProps

    - #### field_67_fSdtVanish

          protected boolean field_67_fSdtVanish

    - #### field_68_wCharScale

          protected int field_68_wCharScale

  - ### Constructor Detail

    - #### CHPAbstractType

          protected CHPAbstractType()

    - #### CHPAbstractType

          protected CHPAbstractType(CHPAbstractType other)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getGrpfChp

          @Internal
          public int getGrpfChp()

      Collection of the 32 flags.

    - #### setGrpfChp

          @Internal
          public void setGrpfChp(int field_1_grpfChp)

      Collection of the 32 flags.

    - #### getHps

          @Internal
          public int getHps()

      Font size in half points.

    - #### setHps

          @Internal
          public void setHps(int field_2_hps)

      Font size in half points.

    - #### getFtcAscii

          @Internal
          public int getFtcAscii()

      Font for ASCII text.

    - #### setFtcAscii

          @Internal
          public void setFtcAscii(int field_3_ftcAscii)

      Font for ASCII text.

    - #### getFtcFE

          @Internal
          public int getFtcFE()

      Font for East Asian text.

    - #### setFtcFE

          @Internal
          public void setFtcFE(int field_4_ftcFE)

      Font for East Asian text.

    - #### getFtcOther

          @Internal
          public int getFtcOther()

      Font for non-East Asian text.

    - #### setFtcOther

          @Internal
          public void setFtcOther(int field_5_ftcOther)

      Font for non-East Asian text.

    - #### getFtcBi

          @Internal
          public int getFtcBi()

      Font for Complex Scripts text.

    - #### setFtcBi

          @Internal
          public void setFtcBi(int field_6_ftcBi)

      Font for Complex Scripts text.

    - #### getDxaSpace

          @Internal
          public int getDxaSpace()

      Space following each character in the run expressed in twip units..

    - #### setDxaSpace

          @Internal
          public void setDxaSpace(int field_7_dxaSpace)

      Space following each character in the run expressed in twip units..

    - #### getCv

          @Internal
          public Colorref getCv()

      24-bit color.

    - #### setCv

          @Internal
          public void setCv(Colorref field_8_cv)

      24-bit color.

    - #### getIco

          @Internal
          public byte getIco()

      Color of text for Word 97.

    - #### setIco

          @Internal
          public void setIco(byte field_9_ico)

      Color of text for Word 97.

    - #### getPctCharWidth

          @Internal
          public int getPctCharWidth()

      Character scale.

    - #### setPctCharWidth

          @Internal
          public void setPctCharWidth(int field_10_pctCharWidth)

      Character scale.

    - #### getLidDefault

          @Internal
          public int getLidDefault()

      Get the lidDefault field for the CHP record.

    - #### setLidDefault

          @Internal
          public void setLidDefault(int field_11_lidDefault)

      Set the lidDefault field for the CHP record.

    - #### getLidFE

          @Internal
          public int getLidFE()

      Get the lidFE field for the CHP record.

    - #### setLidFE

          @Internal
          public void setLidFE(int field_12_lidFE)

      Set the lidFE field for the CHP record.

    - #### getKcd

          @Internal
          public byte getKcd()

      Emphasis mark.
      Returns:
        One of
    - `KCD_NON`
    - `KCD_DOT`
    - `KCD_COMMA`
    - `KCD_CIRCLE`
    - `KCD_UNDER_DOT`

    - #### setKcd

          @Internal
          public void setKcd(byte field_13_kcd)

      Emphasis mark.
      Parameters:
        `field_13_kcd` - One of
    - `KCD_NON`
    - `KCD_DOT`
    - `KCD_COMMA`
    - `KCD_CIRCLE`
    - `KCD_UNDER_DOT`

    - #### getFUndetermine

          @Internal
          public boolean getFUndetermine()

      Character is undetermined.

    - #### setFUndetermine

          @Internal
          public void setFUndetermine(boolean field_14_fUndetermine)

      Character is undetermined.

    - #### getIss

          @Internal
          public byte getIss()

      Superscript/subscript indices.
      Returns:
        One of
    - `ISS_NONE`
    - `ISS_SUPERSCRIPTED`
    - `ISS_SUBSCRIPTED`

    - #### setIss

          @Internal
          public void setIss(byte field_15_iss)

      Superscript/subscript indices.
      Parameters:
        `field_15_iss` - One of
    - `ISS_NONE`
    - `ISS_SUPERSCRIPTED`
    - `ISS_SUBSCRIPTED`

    - #### getFSpecSymbol

          @Internal
          public boolean getFSpecSymbol()

      Used by Word internally.

    - #### setFSpecSymbol

          @Internal
          public void setFSpecSymbol(boolean field_16_fSpecSymbol)

      Used by Word internally.

    - #### getIdct

          @Internal
          public byte getIdct()

      Not stored in file.

    - #### setIdct

          @Internal
          public void setIdct(byte field_17_idct)

      Not stored in file.

    - #### getIdctHint

          @Internal
          public byte getIdctHint()

      Identifier of Character type.

    - #### setIdctHint

          @Internal
          public void setIdctHint(byte field_18_idctHint)

      Identifier of Character type.

    - #### getKul

          @Internal
          public byte getKul()

      Underline code.
      Returns:
        One of
    - `KUL_NONE`
    - `KUL_SINGLE`
    - `KUL_BY_WORD`
    - `KUL_DOUBLE`
    - `KUL_DOTTED`
    - `KUL_HIDDEN`
    - `KUL_THICK`
    - `KUL_DASH`
    - `KUL_DOT`
    - `KUL_DOT_DASH`
    - `KUL_DOT_DOT_DASH`
    - `KUL_WAVE`
    - `KUL_DOTTED_HEAVY`
    - `KUL_DASHED_HEAVY`
    - `KUL_DOT_DASH_HEAVY`
    - `KUL_DOT_DOT_DASH_HEAVY`
    - `KUL_WAVE_HEAVY`
    - `KUL_DASH_LONG`
    - `KUL_WAVE_DOUBLE`
    - `KUL_DASH_LONG_HEAVY`

    - #### setKul

          @Internal
          public void setKul(byte field_19_kul)

      Underline code.
      Parameters:
        `field_19_kul` - One of
    - `KUL_NONE`
    - `KUL_SINGLE`
    - `KUL_BY_WORD`
    - `KUL_DOUBLE`
    - `KUL_DOTTED`
    - `KUL_HIDDEN`
    - `KUL_THICK`
    - `KUL_DASH`
    - `KUL_DOT`
    - `KUL_DOT_DASH`
    - `KUL_DOT_DOT_DASH`
    - `KUL_WAVE`
    - `KUL_DOTTED_HEAVY`
    - `KUL_DASHED_HEAVY`
    - `KUL_DOT_DASH_HEAVY`
    - `KUL_DOT_DOT_DASH_HEAVY`
    - `KUL_WAVE_HEAVY`
    - `KUL_DASH_LONG`
    - `KUL_WAVE_DOUBLE`
    - `KUL_DASH_LONG_HEAVY`

    - #### getHresi

          @Internal
          public Hyphenation getHresi()

      Get the hresi field for the CHP record.

    - #### setHresi

          @Internal
          public void setHresi(Hyphenation field_20_hresi)

      Set the hresi field for the CHP record.

    - #### getHpsKern

          @Internal
          public int getHpsKern()

      Kerning distance for characters in run recorded in half points.

    - #### setHpsKern

          @Internal
          public void setHpsKern(int field_21_hpsKern)

      Kerning distance for characters in run recorded in half points.

    - #### getHpsPos

          @Internal
          public short getHpsPos()

      Reserved (actually used as vertical offset(?) value).

    - #### setHpsPos

          @Internal
          public void setHpsPos(short field_22_hpsPos)

      Reserved (actually used as vertical offset(?) value).

    - #### getShd

          @Internal
          public ShadingDescriptor getShd()

      Shading.

    - #### setShd

          @Internal
          public void setShd(ShadingDescriptor field_23_shd)

      Shading.

    - #### getBrc

          @Internal
          public BorderCode getBrc()

      Border.

    - #### setBrc

          @Internal
          public void setBrc(BorderCode field_24_brc)

      Border.

    - #### getIbstRMark

          @Internal
          public int getIbstRMark()

      Index to author IDs stored in hsttbfRMark. Used when text in run was newly typed when revision marking was enabled.

    - #### setIbstRMark

          @Internal
          public void setIbstRMark(int field_25_ibstRMark)

      Index to author IDs stored in hsttbfRMark. Used when text in run was newly typed when revision marking was enabled.

    - #### getSfxtText

          @Internal
          public byte getSfxtText()

      Text animation.
      Returns:
        One of
    - `SFXTTEXT_NO`
    - `SFXTTEXT_LAS_VEGAS_LIGHTS`
    - `SFXTTEXT_BACKGROUND_BLINK`
    - `SFXTTEXT_SPARKLE_TEXT`
    - `SFXTTEXT_MARCHING_ANTS`
    - `SFXTTEXT_MARCHING_RED_ANTS`
    - `SFXTTEXT_SHIMMER`

    - #### setSfxtText

          @Internal
          public void setSfxtText(byte field_26_sfxtText)

      Text animation.
      Parameters:
        `field_26_sfxtText` - One of
    - `SFXTTEXT_NO`
    - `SFXTTEXT_LAS_VEGAS_LIGHTS`
    - `SFXTTEXT_BACKGROUND_BLINK`
    - `SFXTTEXT_SPARKLE_TEXT`
    - `SFXTTEXT_MARCHING_ANTS`
    - `SFXTTEXT_MARCHING_RED_ANTS`
    - `SFXTTEXT_SHIMMER`

    - #### getFDblBdr

          @Internal
          public boolean getFDblBdr()

      Used internally by Word.

    - #### setFDblBdr

          @Internal
          public void setFDblBdr(boolean field_27_fDblBdr)

      Used internally by Word.

    - #### getFBorderWS

          @Internal
          public boolean getFBorderWS()

      Used internally by Word.

    - #### setFBorderWS

          @Internal
          public void setFBorderWS(boolean field_28_fBorderWS)

      Used internally by Word.

    - #### getUfel

          @Internal
          public short getUfel()

      Collection properties represented by itypFELayout and copt (East Asian layout properties).

    - #### setUfel

          @Internal
          public void setUfel(short field_29_ufel)

      Collection properties represented by itypFELayout and copt (East Asian layout properties).

    - #### getCopt

          @Internal
          public byte getCopt()

      Collection of the 5 flags.

    - #### setCopt

          @Internal
          public void setCopt(byte field_30_copt)

      Collection of the 5 flags.

    - #### getHpsAsci

          @Internal
          public int getHpsAsci()

      Font size for ASCII font.

    - #### setHpsAsci

          @Internal
          public void setHpsAsci(int field_31_hpsAsci)

      Font size for ASCII font.

    - #### getHpsFE

          @Internal
          public int getHpsFE()

      Font size for East Asian text.

    - #### setHpsFE

          @Internal
          public void setHpsFE(int field_32_hpsFE)

      Font size for East Asian text.

    - #### getHpsBi

          @Internal
          public int getHpsBi()

      Font size for Complex Scripts text.

    - #### setHpsBi

          @Internal
          public void setHpsBi(int field_33_hpsBi)

      Font size for Complex Scripts text.

    - #### getFtcSym

          @Internal
          public int getFtcSym()

      an index into the rgffn structure. When chp.fSpec is 1 and the character recorded for the run in the document stream is chSymbol (0x28), chp.ftcSym identifies the font code of the symbol font that will be used to display the symbol character recorded in chp.xchSym..

    - #### setFtcSym

          @Internal
          public void setFtcSym(int field_34_ftcSym)

      an index into the rgffn structure. When chp.fSpec is 1 and the character recorded for the run in the document stream is chSymbol (0x28), chp.ftcSym identifies the font code of the symbol font that will be used to display the symbol character recorded in chp.xchSym..

    - #### getXchSym

          @Internal
          public int getXchSym()

      When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..

    - #### setXchSym

          @Internal
          public void setXchSym(int field_35_xchSym)

      When chp.fSpec==1 and the character recorded for the run in the document stream is chSymbol (0x28), the character stored chp.xchSym will be displayed using the font specified in chp.ftcSym..

    - #### getFcPic

          @Internal
          public int getFcPic()

      Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..

    - #### setFcPic

          @Internal
          public void setFcPic(int field_36_fcPic)

      Offset in data stream pointing to beginning of a picture when character is a picture character (character is 0x01 and chp.fSpec is 1)..

    - #### getFcObj

          @Internal
          public int getFcObj()

      Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..

    - #### setFcObj

          @Internal
          public void setFcObj(int field_37_fcObj)

      Offset in data stream pointing to beginning of a picture when character is an OLE1 object character (character is 0x20 and chp.fSpec is 1, chp.fOle2 is 0)..

    - #### getLTagObj

          @Internal
          public int getLTagObj()

      An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..

    - #### setLTagObj

          @Internal
          public void setLTagObj(int field_38_lTagObj)

      An object ID for an OLE object, only set if chp.fSpec and chp.fOle2 are both true, and chp.fObj..

    - #### getFcData

          @Internal
          public int getFcData()

      Points to location of picture data, only if chp.fSpec is true..

    - #### setFcData

          @Internal
          public void setFcData(int field_39_fcData)

      Points to location of picture data, only if chp.fSpec is true..

    - #### getHresiOld

          @Internal
          public Hyphenation getHresiOld()

      Get the hresiOld field for the CHP record.

    - #### setHresiOld

          @Internal
          public void setHresiOld(Hyphenation field_40_hresiOld)

      Set the hresiOld field for the CHP record.

    - #### getIbstRMarkDel

          @Internal
          public int getIbstRMarkDel()

      Index to author IDs stored in hsttbfRMark. Used when text in run was deleted when revision marking was enabled..

    - #### setIbstRMarkDel

          @Internal
          public void setIbstRMarkDel(int field_41_ibstRMarkDel)

      Index to author IDs stored in hsttbfRMark. Used when text in run was deleted when revision marking was enabled..

    - #### getDttmRMark

          @Internal
          public DateAndTime getDttmRMark()

      Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).

    - #### setDttmRMark

          @Internal
          public void setDttmRMark(DateAndTime field_42_dttmRMark)

      Date/time at which this run of text was entered/modified by the author (Only recorded when revision marking is on.).

    - #### getDttmRMarkDel

          @Internal
          public DateAndTime getDttmRMarkDel()

      Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).

    - #### setDttmRMarkDel

          @Internal
          public void setDttmRMarkDel(DateAndTime field_43_dttmRMarkDel)

      Date/time at which this run of text was deleted by the author (Only recorded when revision marking is on.).

    - #### getIstd

          @Internal
          public int getIstd()

      Index to character style descriptor in the stylesheet that tags this run of text. When istd is istdNormalChar (10 decimal), characters in run are not affected by a character style. If chp.istd contains any other value, chpx of the specified character style are applied to CHP for this run before any other exceptional properties are applied..

    - #### setIstd

          @Internal
          public void setIstd(int field_44_istd)

      Index to character style descriptor in the stylesheet that tags this run of text. When istd is istdNormalChar (10 decimal), characters in run are not affected by a character style. If chp.istd contains any other value, chpx of the specified character style are applied to CHP for this run before any other exceptional properties are applied..

    - #### getIdslRMReason

          @Internal
          public int getIdslRMReason()

      An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

    - #### setIdslRMReason

          @Internal
          public void setIdslRMReason(int field_45_idslRMReason)

      An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

    - #### getIdslReasonDel

          @Internal
          public int getIdslReasonDel()

      An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

    - #### setIdslReasonDel

          @Internal
          public void setIdslReasonDel(int field_46_idslReasonDel)

      An index to strings displayed as reasons for actions taken by Word's AutoFormat code.

    - #### getCpg

          @Internal
          public int getCpg()

      Code page of run in pre-Unicode files.

    - #### setCpg

          @Internal
          public void setCpg(int field_47_cpg)

      Code page of run in pre-Unicode files.

    - #### getHighlight

          @Internal
          public short getHighlight()

      Get the Highlight field for the CHP record.

    - #### setHighlight

          @Internal
          public void setHighlight(short field_48_Highlight)

      Set the Highlight field for the CHP record.

    - #### getCharsetFlags

          @Internal
          public short getCharsetFlags()

      Get the CharsetFlags field for the CHP record.

    - #### setCharsetFlags

          @Internal
          public void setCharsetFlags(short field_49_CharsetFlags)

      Set the CharsetFlags field for the CHP record.

    - #### getChse

          @Internal
          public short getChse()

      Get the chse field for the CHP record.

    - #### setChse

          @Internal
          public void setChse(short field_50_chse)

      Set the chse field for the CHP record.

    - #### getFPropRMark

          @Internal
          public boolean getFPropRMark()

      properties have been changed with revision marking on.

    - #### setFPropRMark

          @Internal
          public void setFPropRMark(boolean field_51_fPropRMark)

      properties have been changed with revision marking on.

    - #### getIbstPropRMark

          @Internal
          public int getIbstPropRMark()

      Index to author IDs stored in hsttbfRMark. Used when properties have been changed when revision marking was enabled..

    - #### setIbstPropRMark

          @Internal
          public void setIbstPropRMark(int field_52_ibstPropRMark)

      Index to author IDs stored in hsttbfRMark. Used when properties have been changed when revision marking was enabled..

    - #### getDttmPropRMark

          @Internal
          public DateAndTime getDttmPropRMark()

      Date/time at which properties of this were changed for this run of text by the author. (Only recorded when revision marking is on.).

    - #### setDttmPropRMark

          @Internal
          public void setDttmPropRMark(DateAndTime field_53_dttmPropRMark)

      Date/time at which properties of this were changed for this run of text by the author. (Only recorded when revision marking is on.).

    - #### getFConflictOrig

          @Internal
          public boolean getFConflictOrig()

      When chp.wConflict!=0, this is TRUE when text is part of the original version of text. When FALSE, text is alternative introduced by reconciliation operation..

    - #### setFConflictOrig

          @Internal
          public void setFConflictOrig(boolean field_54_fConflictOrig)

      When chp.wConflict!=0, this is TRUE when text is part of the original version of text. When FALSE, text is alternative introduced by reconciliation operation..

    - #### getFConflictOtherDel

          @Internal
          public boolean getFConflictOtherDel()

      When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.

    - #### setFConflictOtherDel

          @Internal
          public void setFConflictOtherDel(boolean field_55_fConflictOtherDel)

      When fConflictOtherDel==fTrue, the other side of a reconciliation conflict causes this text to be deleted.

    - #### getWConflict

          @Internal
          public int getWConflict()

      When != 0, index number that identifies all text participating in a particular conflict incident.

    - #### setWConflict

          @Internal
          public void setWConflict(int field_56_wConflict)

      When != 0, index number that identifies all text participating in a particular conflict incident.

    - #### getIbstConflict

          @Internal
          public int getIbstConflict()

      Who made this change for this side of the conflict..

    - #### setIbstConflict

          @Internal
          public void setIbstConflict(int field_57_IbstConflict)

      Who made this change for this side of the conflict..

    - #### getDttmConflict

          @Internal
          public DateAndTime getDttmConflict()

      When the change was made.

    - #### setDttmConflict

          @Internal
          public void setDttmConflict(DateAndTime field_58_dttmConflict)

      When the change was made.

    - #### getFDispFldRMark

          @Internal
          public boolean getFDispFldRMark()

      the number for a ListNum field is being tracked in xstDispFldRMark. If that number is different from the current value, the number has changed. Only valid for ListNum fields..

    - #### setFDispFldRMark

          @Internal
          public void setFDispFldRMark(boolean field_59_fDispFldRMark)

      the number for a ListNum field is being tracked in xstDispFldRMark. If that number is different from the current value, the number has changed. Only valid for ListNum fields..

    - #### getIbstDispFldRMark

          @Internal
          public int getIbstDispFldRMark()

      Index to author IDs stored in hsttbfRMark. Used when ListNum field numbering has been changed when revision marking was enabled..

    - #### setIbstDispFldRMark

          @Internal
          public void setIbstDispFldRMark(int field_60_ibstDispFldRMark)

      Index to author IDs stored in hsttbfRMark. Used when ListNum field numbering has been changed when revision marking was enabled..

    - #### getDttmDispFldRMark

          @Internal
          public DateAndTime getDttmDispFldRMark()

      The date for the ListNum field number change.

    - #### setDttmDispFldRMark

          @Internal
          public void setDttmDispFldRMark(DateAndTime field_61_dttmDispFldRMark)

      The date for the ListNum field number change.

    - #### getXstDispFldRMark

          @Internal
          public byte[] getXstDispFldRMark()

      The string value of the ListNum field when revision mark tracking began.

    - #### setXstDispFldRMark

          @Internal
          public void setXstDispFldRMark(byte[] field_62_xstDispFldRMark)

      The string value of the ListNum field when revision mark tracking began.

    - #### getFcObjp

          @Internal
          public int getFcObjp()

      Offset in the data stream indicating the location of OLE object data.

    - #### setFcObjp

          @Internal
          public void setFcObjp(int field_63_fcObjp)

      Offset in the data stream indicating the location of OLE object data.

    - #### getLbrCRJ

          @Internal
          public byte getLbrCRJ()

      Line BReak code for xchCRJ.
      Returns:
        One of
    - `LBRCRJ_NONE`
    - `LBRCRJ_LEFT`
    - `LBRCRJ_RIGHT`
    - `LBRCRJ_BOTH`

    - #### setLbrCRJ

          @Internal
          public void setLbrCRJ(byte field_64_lbrCRJ)

      Line BReak code for xchCRJ.
      Parameters:
        `field_64_lbrCRJ` - One of
    - `LBRCRJ_NONE`
    - `LBRCRJ_LEFT`
    - `LBRCRJ_RIGHT`
    - `LBRCRJ_BOTH`

    - #### getFSpecVanish

          @Internal
          public boolean getFSpecVanish()

      Special hidden for leading emphasis (always hidden).

    - #### setFSpecVanish

          @Internal
          public void setFSpecVanish(boolean field_65_fSpecVanish)

      Special hidden for leading emphasis (always hidden).

    - #### getFHasOldProps

          @Internal
          public boolean getFHasOldProps()

      Used for character property revision marking. The chp at the time fHasOldProps is set to 1, the is the old chp..

    - #### setFHasOldProps

          @Internal
          public void setFHasOldProps(boolean field_66_fHasOldProps)

      Used for character property revision marking. The chp at the time fHasOldProps is set to 1, the is the old chp..

    - #### getFSdtVanish

          @Internal
          public boolean getFSdtVanish()

      Mark the character as hidden..

    - #### setFSdtVanish

          @Internal
          public void setFSdtVanish(boolean field_67_fSdtVanish)

      Mark the character as hidden..

    - #### getWCharScale

          @Internal
          public int getWCharScale()

      Get the wCharScale field for the CHP record.

    - #### setWCharScale

          @Internal
          public void setWCharScale(int field_68_wCharScale)

      Set the wCharScale field for the CHP record.

    - #### setFBold

          @Internal
          public void setFBold(boolean value)

      Sets the fBold field value. Text is bold

    - #### isFBold

          @Internal
          public boolean isFBold()

      Text is bold
      Returns:
        the fBold field value.

    - #### setFItalic

          @Internal
          public void setFItalic(boolean value)

      Sets the fItalic field value. Italic

    - #### isFItalic

          @Internal
          public boolean isFItalic()

      Italic
      Returns:
        the fItalic field value.

    - #### setFRMarkDel

          @Internal
          public void setFRMarkDel(boolean value)

      Sets the fRMarkDel field value. has been deleted and will be displayed with strikethrough when revision marked text is to be displayed

    - #### isFRMarkDel

          @Internal
          public boolean isFRMarkDel()

      has been deleted and will be displayed with strikethrough when revision marked text is to be displayed
      Returns:
        the fRMarkDel field value.

    - #### setFOutline

          @Internal
          public void setFOutline(boolean value)

      Sets the fOutline field value. Outlined

    - #### isFOutline

          @Internal
          public boolean isFOutline()

      Outlined
      Returns:
        the fOutline field value.

    - #### setFFldVanish

          @Internal
          public void setFFldVanish(boolean value)

      Sets the fFldVanish field value. Used internally by Word

    - #### isFFldVanish

          @Internal
          public boolean isFFldVanish()

      Used internally by Word
      Returns:
        the fFldVanish field value.

    - #### setFSmallCaps

          @Internal
          public void setFSmallCaps(boolean value)

      Sets the fSmallCaps field value. Displayed with small caps

    - #### isFSmallCaps

          @Internal
          public boolean isFSmallCaps()

      Displayed with small caps
      Returns:
        the fSmallCaps field value.

    - #### setFCaps

          @Internal
          public void setFCaps(boolean value)

      Sets the fCaps field value. Displayed with caps

    - #### isFCaps

          @Internal
          public boolean isFCaps()

      Displayed with caps
      Returns:
        the fCaps field value.

    - #### setFVanish

          @Internal
          public void setFVanish(boolean value)

      Sets the fVanish field value. text has hidden format, and is not displayed unless fPagHidden is set in the DOP

    - #### isFVanish

          @Internal
          public boolean isFVanish()

      text has hidden format, and is not displayed unless fPagHidden is set in the DOP
      Returns:
        the fVanish field value.

    - #### setFRMark

          @Internal
          public void setFRMark(boolean value)

      Sets the fRMark field value. text is newly typed since the last time revision marks have been accepted and will be displayed with an underline when revision marked text is to be displayed

    - #### isFRMark

          @Internal
          public boolean isFRMark()

      text is newly typed since the last time revision marks have been accepted and will be displayed with an underline when revision marked text is to be displayed
      Returns:
        the fRMark field value.

    - #### setFSpec

          @Internal
          public void setFSpec(boolean value)

      Sets the fSpec field value. Character is a Word special character

    - #### isFSpec

          @Internal
          public boolean isFSpec()

      Character is a Word special character
      Returns:
        the fSpec field value.

    - #### setFStrike

          @Internal
          public void setFStrike(boolean value)

      Sets the fStrike field value. Displayed with strikethrough

    - #### isFStrike

          @Internal
          public boolean isFStrike()

      Displayed with strikethrough
      Returns:
        the fStrike field value.

    - #### setFObj

          @Internal
          public void setFObj(boolean value)

      Sets the fObj field value. Embedded objec

    - #### isFObj

          @Internal
          public boolean isFObj()

      Embedded objec
      Returns:
        the fObj field value.

    - #### setFShadow

          @Internal
          public void setFShadow(boolean value)

      Sets the fShadow field value. Character is drawn with a shadow

    - #### isFShadow

          @Internal
          public boolean isFShadow()

      Character is drawn with a shadow
      Returns:
        the fShadow field value.

    - #### setFLowerCase

          @Internal
          public void setFLowerCase(boolean value)

      Sets the fLowerCase field value. Character is displayed in lower case. This field may be set to 1 only when chp.fSmallCaps is 1.

    - #### isFLowerCase

          @Internal
          public boolean isFLowerCase()

      Character is displayed in lower case. This field may be set to 1 only when chp.fSmallCaps is 1.
      Returns:
        the fLowerCase field value.

    - #### setFData

          @Internal
          public void setFData(boolean value)

      Sets the fData field value. chp.fcPic points to an FFDATA, the data structure binary data used by Word to describe a form field. The bit chp.fData may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01)

    - #### isFData

          @Internal
          public boolean isFData()

      chp.fcPic points to an FFDATA, the data structure binary data used by Word to describe a form field. The bit chp.fData may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01)
      Returns:
        the fData field value.

    - #### setFOle2

          @Internal
          public void setFOle2(boolean value)

      Sets the fOle2 field value. chp.lTagObj specifies a particular object in the object stream that specifies the particular OLE object in the stream that should be displayed when the chPicture fSpec character that is tagged with the fOle2 is encountered. The bit chp.fOle2 may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01).

    - #### isFOle2

          @Internal
          public boolean isFOle2()

      chp.lTagObj specifies a particular object in the object stream that specifies the particular OLE object in the stream that should be displayed when the chPicture fSpec character that is tagged with the fOle2 is encountered. The bit chp.fOle2 may only be 1 when chp.fSpec is also 1 and the special character in the document stream that has this property is a chPicture (0x01).
      Returns:
        the fOle2 field value.

    - #### setFEmboss

          @Internal
          public void setFEmboss(boolean value)

      Sets the fEmboss field value. Text is embossed

    - #### isFEmboss

          @Internal
          public boolean isFEmboss()

      Text is embossed
      Returns:
        the fEmboss field value.

    - #### setFImprint

          @Internal
          public void setFImprint(boolean value)

      Sets the fImprint field value. Text is engraved

    - #### isFImprint

          @Internal
          public boolean isFImprint()

      Text is engraved
      Returns:
        the fImprint field value.

    - #### setFDStrike

          @Internal
          public void setFDStrike(boolean value)

      Sets the fDStrike field value. Displayed with double strikethrough

    - #### isFDStrike

          @Internal
          public boolean isFDStrike()

      Displayed with double strikethrough
      Returns:
        the fDStrike field value.

    - #### setFUsePgsuSettings

          @Internal
          public void setFUsePgsuSettings(boolean value)

      Sets the fUsePgsuSettings field value. Used internally by Word

    - #### isFUsePgsuSettings

          @Internal
          public boolean isFUsePgsuSettings()

      Used internally by Word
      Returns:
        the fUsePgsuSettings field value.

    - #### setFBoldBi

          @Internal
          public void setFBoldBi(boolean value)

      Sets the fBoldBi field value. Complex Scripts text is bold

    - #### isFBoldBi

          @Internal
          public boolean isFBoldBi()

      Complex Scripts text is bold
      Returns:
        the fBoldBi field value.

    - #### setFComplexScripts

          @Internal
          public void setFComplexScripts(boolean value)

      Sets the fComplexScripts field value. Complex Scripts text that requires special processing to display and process

    - #### isFComplexScripts

          @Internal
          public boolean isFComplexScripts()

      Complex Scripts text that requires special processing to display and process
      Returns:
        the fComplexScripts field value.

    - #### setFItalicBi

          @Internal
          public void setFItalicBi(boolean value)

      Sets the fItalicBi field value. Complex Scripts text is italics

    - #### isFItalicBi

          @Internal
          public boolean isFItalicBi()

      Complex Scripts text is italics
      Returns:
        the fItalicBi field value.

    - #### setFBiDi

          @Internal
          public void setFBiDi(boolean value)

      Sets the fBiDi field value. Complex Scripts right-to-left text that requires special processing to display and process (character reordering; contextual shaping; display of combining characters and diacritics; specialized justification rules; cursor positioning)

    - #### isFBiDi

          @Internal
          public boolean isFBiDi()

      Complex Scripts right-to-left text that requires special processing to display and process (character reordering; contextual shaping; display of combining characters and diacritics; specialized justification rules; cursor positioning)
      Returns:
        the fBiDi field value.

    - #### setFIcoBi

          @Internal
          public void setFIcoBi(boolean value)

      Sets the fIcoBi field value. Used internally by Word

    - #### isFIcoBi

          @Internal
          public boolean isFIcoBi()

      Used internally by Word
      Returns:
        the fIcoBi field value.

    - #### setFNonGlyph

          @Internal
          public void setFNonGlyph(boolean value)

      Sets the fNonGlyph field value. Used internally by Word

    - #### isFNonGlyph

          @Internal
          public boolean isFNonGlyph()

      Used internally by Word
      Returns:
        the fNonGlyph field value.

    - #### setFBoldOther

          @Internal
          public void setFBoldOther(boolean value)

      Sets the fBoldOther field value. Used internally by Word 97 and earlier versions

    - #### isFBoldOther

          @Internal
          public boolean isFBoldOther()

      Used internally by Word 97 and earlier versions
      Returns:
        the fBoldOther field value.

    - #### setFItalicOther

          @Internal
          public void setFItalicOther(boolean value)

      Sets the fItalicOther field value. Used internally by Word 97 and earlier versions

    - #### isFItalicOther

          @Internal
          public boolean isFItalicOther()

      Used internally by Word 97 and earlier versions
      Returns:
        the fItalicOther field value.

    - #### setFNoProof

          @Internal
          public void setFNoProof(boolean value)

      Sets the fNoProof field value. When set to 1, do not check spelling or grammar

    - #### isFNoProof

          @Internal
          public boolean isFNoProof()

      When set to 1, do not check spelling or grammar
      Returns:
        the fNoProof field value.

    - #### setFWebHidden

          @Internal
          public void setFWebHidden(boolean value)

      Sets the fWebHidden field value. Text should be hidden in Web View when set to 1

    - #### isFWebHidden

          @Internal
          public boolean isFWebHidden()

      Text should be hidden in Web View when set to 1
      Returns:
        the fWebHidden field value.

    - #### setFFitText

          @Internal
          public void setFFitText(boolean value)

      Sets the fFitText field value. Fit text when set to 1

    - #### isFFitText

          @Internal
          public boolean isFFitText()

      Fit text when set to 1
      Returns:
        the fFitText field value.

    - #### setFCalc

          @Internal
          public void setFCalc(boolean value)

      Sets the fCalc field value. Used internally by Word

    - #### isFCalc

          @Internal
          public boolean isFCalc()

      Used internally by Word
      Returns:
        the fCalc field value.

    - #### setFFmtLineProp

          @Internal
          public void setFFmtLineProp(boolean value)

      Sets the fFmtLineProp field value. Used internally by Word

    - #### isFFmtLineProp

          @Internal
          public boolean isFFmtLineProp()

      Used internally by Word
      Returns:
        the fFmtLineProp field value.

    - #### setItypFELayout

          @Internal
          public void setItypFELayout(short value)

      Sets the itypFELayout field value.

    - #### getItypFELayout

          @Internal
          public short getItypFELayout()

      Returns:
        the itypFELayout field value.

    - #### setFTNY

          @Internal
          public void setFTNY(boolean value)

      Sets the fTNY field value. Tatenakayoko: Horizontal-in-vertical (range of text in a direction perpendicular to the text flow) is used

    - #### isFTNY

          @Internal
          public boolean isFTNY()

      Tatenakayoko: Horizontal-in-vertical (range of text in a direction perpendicular to the text flow) is used
      Returns:
        the fTNY field value.

    - #### setFWarichu

          @Internal
          public void setFWarichu(boolean value)

      Sets the fWarichu field value. Two lines in one (text in the group is displayed as two half-height lines within a line)

    - #### isFWarichu

          @Internal
          public boolean isFWarichu()

      Two lines in one (text in the group is displayed as two half-height lines within a line)
      Returns:
        the fWarichu field value.

    - #### setFKumimoji

          @Internal
          public void setFKumimoji(boolean value)

      Sets the fKumimoji field value. combine characters

    - #### isFKumimoji

          @Internal
          public boolean isFKumimoji()

      combine characters
      Returns:
        the fKumimoji field value.

    - #### setFRuby

          @Internal
          public void setFRuby(boolean value)

      Sets the fRuby field value. Phonetic guide

    - #### isFRuby

          @Internal
          public boolean isFRuby()

      Phonetic guide
      Returns:
        the fRuby field value.

    - #### setFLSFitText

          @Internal
          public void setFLSFitText(boolean value)

      Sets the fLSFitText field value. fit text

    - #### isFLSFitText

          @Internal
          public boolean isFLSFitText()

      fit text
      Returns:
        the fLSFitText field value.

    - #### setSpare

          @Internal
          public void setSpare(byte value)

      Sets the spare field value. Unused

    - #### getSpare

          @Internal
          public byte getSpare()

      Unused
      Returns:
        the spare field value.

    - #### setIWarichuBracket

          @Internal
          public void setIWarichuBracket(byte value)

      Sets the iWarichuBracket field value. Bracket character for two-lines-in-one

    - #### getIWarichuBracket

          @Internal
          public byte getIWarichuBracket()

      Bracket character for two-lines-in-one
      Returns:
        the iWarichuBracket field value.

    - #### setFWarichuNoOpenBracket

          @Internal
          public void setFWarichuNoOpenBracket(boolean value)

      Sets the fWarichuNoOpenBracket field value. Two-lines-in-one uses no open

    - #### isFWarichuNoOpenBracket

          @Internal
          public boolean isFWarichuNoOpenBracket()

      Two-lines-in-one uses no open
      Returns:
        the fWarichuNoOpenBracket field value.

    - #### setFTNYCompress

          @Internal
          public void setFTNYCompress(boolean value)

      Sets the fTNYCompress field value. fit text in line

    - #### isFTNYCompress

          @Internal
          public boolean isFTNYCompress()

      fit text in line
      Returns:
        the fTNYCompress field value.

    - #### setFTNYFetchTxm

          @Internal
          public void setFTNYFetchTxm(boolean value)

      Sets the fTNYFetchTxm field value. fetch text metrics

    - #### isFTNYFetchTxm

          @Internal
          public boolean isFTNYFetchTxm()

      fetch text metrics
      Returns:
        the fTNYFetchTxm field value.

    - #### setFCellFitText

          @Internal
          public void setFCellFitText(boolean value)

      Sets the fCellFitText field value. Fit text in cell

    - #### isFCellFitText

          @Internal
          public boolean isFCellFitText()

      Fit text in cell
      Returns:
        the fCellFitText field value.

    - #### setUnused

          @Internal
          public void setUnused(boolean value)

      Sets the unused field value. Not used

    - #### isUnused

          @Internal
          public boolean isUnused()

      Not used
      Returns:
        the unused field value.

    - #### setIcoHighlight

          @Internal
          public void setIcoHighlight(byte value)

      Sets the icoHighlight field value. Highlight color (see chp.ico)

    - #### getIcoHighlight

          @Internal
          public byte getIcoHighlight()

      Highlight color (see chp.ico)
      Returns:
        the icoHighlight field value.

    - #### setFHighlight

          @Internal
          public void setFHighlight(boolean value)

      Sets the fHighlight field value. When 1, characters are highlighted with color specified by chp.icoHighlight

    - #### isFHighlight

          @Internal
          public boolean isFHighlight()

      When 1, characters are highlighted with color specified by chp.icoHighlight
      Returns:
        the fHighlight field value.

    - #### setFChsDiff

          @Internal
          public void setFChsDiff(boolean value)

      Sets the fChsDiff field value. Pre-Unicode files, char's char set different from FIB char set

    - #### isFChsDiff

          @Internal
          public boolean isFChsDiff()

      Pre-Unicode files, char's char set different from FIB char set
      Returns:
        the fChsDiff field value.

    - #### setFMacChs

          @Internal
          public void setFMacChs(boolean value)

      Sets the fMacChs field value. fTrue if char's are Macintosh char set

    - #### isFMacChs

          @Internal
          public boolean isFMacChs()

      fTrue if char's are Macintosh char set
      Returns:
        the fMacChs field value.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.